{
  "compilerOptions": {
    "target": "es5",
    "experimentalDecorators": true,
    "lib": ["dom", "dom.iterable", "esnext"],
    "allowJs": true,
    "skipLibCheck": true,
    "strict": true,
    "forceConsistentCasingInFileNames": true,
    "noEmit": true,
    "esModuleInterop": true,
    "module": "esnext",
    "moduleResolution": "node",
    "resolveJsonModule": true,
    "isolatedModules": true,
    "jsx": "preserve",
    "baseUrl": ".",
    "paths": {
      "@": ["src"],
      "@/": ["src/"],
      "@Components": ["src/Components"],
      "@Components/*": ["src/Components/*"],
      "@Definitions": ["src/Definitions"],
      "@Definitions/*": ["src/Definitions/*"],
      "@Pages": ["src/Pages"],
      "@Pages/*": ["src/Pages/*"],
      "@Redux": ["src/Redux"],
      "@Redux/*": ["src/Redux/*"],
      "@Services": ["src/Services"],
      "@Services/*": ["src/Services/*"],

      "@Server/*": ["server/*"],
      "@Static/*": ["public/static/*"],
      "@Test/*": ["test/*"],
      "@Uliza/*": ["public/static/uliza/*"]
    }
  },
  "exclude": [
    ".next",
    ".babelrc",
    "node_modules",
    "dist",
    "out",
    "next.config.js",
    "bundles",
    "coverage",
    "test/*"
  ],
  "include": ["next-env.d.ts", "**/*.ts", "**/*.tsx"]
}
